package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

/**
 * @Author Joburgess
 * @Date 2019/10/2
 */
public enum VipGroupStatusEnum implements BaseEnum<Integer, VipGroupStatusEnum> {

	NOT_START(0, "未开始"),
	APPLYING(1, "报名中"),
	APPLYING_END(5,"报名结束"),
	PROGRESS(2, "进行中"),
	FINISHED(4, "已结束"),
	CANCEL(3, "取消"),
	PAUSE(6, "暂停"),
	DELETE(7, "删除");

	private Integer code;

	private String msg;

	VipGroupStatusEnum(Integer code, String msg) {
		this.code = code;
		this.msg = msg;
	}

	public void setCode(Integer code) {
		this.code = code;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	@Override
	public Integer getCode() {
		return this.code;
	}
}
